<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
  <title>JSword - Source Code Control</title>
</head>
<body>

<h1>Source Code Access</h1>
<p>
 We are currently in the process of migrating our code from Subversion (SVN) to git.
 JSword currently is managed with git and the rest is managed with SVN.</p>
<p>
  The git root is currently hosted at Github:<br />
  <code>https://github.com/crosswire/jsword.git</code><br />
  Anyone can access the code without a password and can be browsed at this url.<br/>
  Our development is done in <code>trunk</code> and each release is tagged under <code>tags</code>.
  We will use <code>branches</code> for release maintenance.
</p>
<p>
  The SVN root is:<br />
  <code>https://crosswire.org/svn/jsword</code><br />
  Anyone can access the code without a password and can be browsed at this url.<br/>
  Our development is done in <code>trunk</code> and each release is tagged under <code>tags</code>.
  We have not used <code>branches</code> for development.
</p>
<p>We have broken up JSword into subprojects. These are:</p>
<ol>
  <li><strong>jsword</strong> - Consists of two parts:
  <ul>
    <li><em>org.crosswire.common</em> - This is a base, general purpose set of common utilities</li>
    <li><em>org.crosswire.jsword</em> - the core Sword api. Its basic provisions are:
      <ul>
        <li>Read Sword modules, extracting passages as requested.</li>
        <li>Convert passages in Sword Modules into OSIS.</li>
        <li>Run xslt on OSIS.</li>
        <li>Build Lucene indexes for a Sword Modules.</li>
        <li>and ....</li>
      </ul>
    </li>
  </ul>
  </li>
  <li><strong>bibledesktop</strong> - Consists of two parts:
  <ul>
    <li><em>org.crosswire.bibledesktop</em> - A GUI that exposes JSword functionality.</li>
    <li><em>org.crosswire.common.swing</em> - Like org.crosswire.common but specific to swing.</li>
  </ul>
  </li>
  <li><strong>jsword-web</strong> - The code and html for the <a href="/jsword">JSword website</a>. This project also contains the ant build.xml file that is used for nightly builds.</li>
  <li><strong>bibledesktop-web</strong> - The code and html for the <a href="/bibledesktop">BibleDesktop website</a>.</li>
  <li><strong>jsword-limbo</strong> - Code that we could not part with. It is either code that we no longer use or code that we were thinking of using.</li>
  <li><strong>biblemapper</strong> - Provides an analytical view of a Bible. Currently this is not used.</li>
</ol>
<p>To get started you will need the first project, and to do BibleDesktop development you also need the bibledesktop project.
   For the <code>jsword</code> project do a git clone using the following form:<br/>
   <code>git clone https://github.com/crosswire/jsword.git</code>.
</p>
<p>
   For each of the other subprojects you wish to use, cd to the directory you wish to check out and then do a SVN checkout following this form:<br/> 
   For the <code>bibledesktop</code> project, so if you are using the command line you would<br />
   <code>svn checkout https://crosswire.org/svn/jsword/trunk/bibledesktop bibledesktop</code>.<br />
</p>
<p>
  For detailed instruction on how to use Eclipse as a git/SVN client see:
  <a href="Eclipse.html">Using Eclipse with JSword</a>
</p>

</body>
</html>
